> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/connect/rest-api/payments/get-bank-account.md).

# Get Bank Account

<table data-header-hidden><thead><tr><th width="74.8046875" align="center"></th><th></th></tr></thead><tbody><tr><td align="center"><mark style="color:green;"><strong>GET</strong></mark> </td><td>https://api.sfox.com/v1/user/bank</td></tr></tbody></table>

Returns the account's currently linked bank account information and status.

***

## Request

{% hint style="info" %}
**Authentication:** This endpoint requires a [User Auth Token](/connect/rest-api/end-users/create-user-auth-token.md) for authentication. Requests using your Connect API Key will be rejected.
{% endhint %}

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```shell
curl -X GET \
-H "Authorization: Bearer ${USER_AUTH_TOKEN}"  \
'https://api.sfox.com/v1/user/bank'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

const config = {
  method: 'get',
  url: 'https://api.sfox.com/v1/user/bank',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': `Bearer ${process.env.USER_AUTH_TOKEN}`
  }
}

axios(config)
  .then((response) => {
    console.log(response.status)
    console.log(respones.data)
  })
  .catch(err => {
    console.error(err.response.status)
    console.error(err.response.data)
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os

data = requests.get(
  "https://api.sfox.com/v1/user/bank",
  headers={
    "Authorization": f"Bearer {os.environ['USER_AUTH_TOKEN']}"
  }
)
print(data.status_code)
print(data.json())
```

{% endtab %}
{% endtabs %}

## Response

### Response Body

<table><thead><tr><th width="220.03255208333331">Key</th><th width="349.82421875">Description</th><th>Example Value</th></tr></thead><tbody><tr><td><strong><code>id</code></strong></td><td>Encrypted internal sFOX bank account ID</td><td><code>156c5beb-7c9f-4f68-83c0-9479703ac490</code></td></tr><tr><td><strong><code>status</code></strong></td><td>The status of the bank account</td><td><code>active</code></td></tr><tr><td><strong><code>requires_verification</code></strong></td><td>Whether or not the bank account requires additional verification</td><td><code>0</code></td></tr><tr><td><strong><code>requires_support</code></strong></td><td>Whether or not the bank account requires additional support</td><td><code>0</code></td></tr><tr><td><strong><code>routing_number</code></strong></td><td>Routing number of the bank account</td><td><code>*****1533</code></td></tr><tr><td><strong><code>account_number</code></strong></td><td>Account number of the bank account</td><td><code>**************00</code></td></tr><tr><td><strong><code>ach_enabled</code></strong></td><td>Whether the status is able to process ACH transaction</td><td><code>true</code></td></tr><tr><td><strong><code>international_bank</code></strong></td><td>Whether the bank location is international or domestic</td><td><code>false</code></td></tr><tr><td><strong><code>name1</code></strong></td><td>Name on bank account</td><td><code>Sean Fox</code></td></tr><tr><td><strong><code>currency</code></strong></td><td>Currency of the bank account</td><td><code>usd</code></td></tr><tr><td><strong><code>type</code></strong></td><td>Checking or Savings </td><td><code>checking</code></td></tr><tr><td><strong><code>bank_name</code></strong></td><td>Name of the bank</td><td><code>CITIZENS BANK NA</code></td></tr><tr><td><strong><code>ref_id</code></strong></td><td>Reference ID of the bank to be included in the memo of wire deposits</td><td><code>k34g8</code></td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark>: OK</summary>

```json
{
    "usd": [
        {
            "id": "fbb2a1e4-b21a-11ed-902c-0e5724aafd6b",
            "status": "active",
            "requires_verification": 0,
            "requires_support": 0,
            "routing_number": "*****4321",
            "account_number": "*******89",
            "name1": "Sean Fox",
            "currency": "usd",
            "type": "checking",
            "bank_name": "BCB Group",
            "ref_id": "j47LK"
        }
    ]
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sfox.com/connect/rest-api/payments/get-bank-account.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
